## rustc 1.64.0+dfsg1~llvm-0ubuntu0.20.04+10.0trisquel1

=== debian/changelog ===
rustc (1.64.0+dfsg1~llvm-0ubuntu0.20.04+10.0trisquel1) nabia-backports; urgency=medium

  * Import as dependency of newer abrowser deb dependencies.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 19 Jan 2023 17:42:51 +0000

rustc (1.64.0+dfsg1~llvm-0ubuntu0.20.04) focal; urgency=medium

  * Backport to focal
  * Comment out vendored source tracking
  * Re-enable embedded LLVM:
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
    - Adjust debian/watch to include +llvm in upstream version.
    - Remove the rust-all dependency on llvm-14 due to vendoring
  * Revert debhelper compat 13 bump back to 12

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 19 Jan 2023 11:37:39 +0100

rustc (1.64.0+dfsg1-1~exp2ubuntu2) lunar; urgency=medium

  * d/p/ubuntu-Revert-Use-constant-eval-to-do-strict-validity-check.patch:
    revert an upstream patch to work around a riscv64 miscompilation

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 18 Jan 2023 17:39:14 +0100

rustc (1.64.0+dfsg1-1~exp2ubuntu1) lunar; urgency=medium

  * Merge from Debian experimental.
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable to
      main.
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
    - Explicitly disable LTO
    - Add a self-build autopkgtest
    - Ship the Cargo.lock file along with the compiler to identify which crates
      were bundled in.
    - On i386, only build debuginfo for libstd
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Drop llvm-14 to Suggests for rustc to avoid having to promote it to Ubuntu
      main
    - Add XS-Vendored-Sources-Rust field support
      Needed an extra patch due to rustc being a multi-crate source package.
  * d/control: Update the vendored sources field

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 18 Jan 2023 10:38:19 +0100

rustc (1.64.0+dfsg1-1~exp2) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * d/prune-unused-deps: unify cargo update calls
  * fix rustix on arches requiring outline building
  * fix libstd-rust-dev-windows lintian override
  * fix compiler_builtins linkage on arm(el)
  * add compiler_builtins sync fallbacks for arm(el)
  * fix panicking lldb check on armel

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Wed, 11 Jan 2023 17:22:16 +0100

rustc (1.64.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * d/rules: auto_clean: preserve .cargo/config.toml
  * d/rules: also clear bootstrap/rust-analyzer Cargo.lock
  * d/rules: extend privacy-breach removal
  * ship rust-analyzer-proc-macro-srv binary

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Thu, 08 Dec 2022 09:17:59 +0100

rustc (1.63.0+dfsg0ubuntu1-0ubuntu2) lunar; urgency=medium

  * d/control: fix wrong dependencies on previous release

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 01 Dec 2022 16:58:41 +0100

rustc (1.63.0+dfsg0ubuntu1-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #1995096)
  * d/copyright: updated (cherry-picked from Debian experimental)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 30 Nov 2022 18:17:29 +0100
